Bug 125613 - ant+ecj+gcj34-compiled ecj cannot compile self
ant+ecj+gcj34-compiled ecj cannot compile self
Product: Fedora
Classification: Fedora
Component: ecj (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
Depends On:
  Show dependency treegraph
Reported: 2004-06-09 08:33 EDT by Gary Benson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-08 07:04:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Workaround (1.21 KB, patch)
2004-06-09 08:34 EDT, Gary Benson
no flags Details | Diff

  None (edit)
Description Gary Benson 2004-06-09 08:33:19 EDT
Description of problem:
If you compile ecj using ant with (Naoko) ecj and compile the
resulting jar to an executable using gcj34 then the resulting
executable cannot compile itself.  Something (either ecj or gcj34)
seems to be optimising away part of a loop.  The attached patch
prevents the over-zealous optimisation.

Version-Release number of selected component (if applicable):
Comment 1 Gary Benson 2004-06-09 08:34:11 EDT
Created attachment 100989 [details]
Comment 2 Gary Benson 2004-06-09 08:39:04 EDT
I tried to make a small test class that would exhibit this failure but
I couldn't.  If I slice out the piece of code in question then it
compiles perfectly, whistling innocently all the way :-/
Comment 3 Gary Benson 2004-06-09 08:41:15 EDT
Oh, and I don't have an i386 FC2 box so I've only seen this issue on
Comment 4 Gary Benson 2004-09-08 07:04:52 EDT
Not an issue with the JPackage-based packageset.

Note You need to log in before you can comment on or make changes to this bug.